Bug 246347 - editors/jucipp: Update to v1.6.0
Summary: editors/jucipp: Update to v1.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2020-05-10 06:57 UTC by Mohammad S. Babaei
Modified: 2020-05-21 06:21 UTC (History)
2 users (show)

See Also:


Attachments
editors/jucipp v1.5.1 to v1.6.0 patch file (331 bytes, patch)
2020-05-10 06:57 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff
patch fixing distfiles - jucipp-1.6.0_1-to-1.6.0_2 (2.64 KB, patch)
2020-05-21 04:16 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2020-05-10 06:57:27 UTC
Created attachment 214331 [details]
editors/jucipp v1.5.1 to v1.6.0 patch file

v1.6.0 changelog:

New features:

    Added Go To Method for file types supported by (Universal) ctags
    Added Find Pattern that uses grep to find given patterns
    Added markdown parsing for tooltips

Cleanups, bugfixes and other improvements:

    Replaced some deprecated gtkmm functions
    Corrected bold markings for ctags results
    Made improvements to finding C/C++ system header paths
    Removed deprecated --harmony flag when running standalone JavaScript files
    Prettier is now used to style format markdown and YAML files
    Various fixes for FreeBSD
    Structured bindings in C++ are now supported
    Improved C/C++ tooltips, for instance showing correct const qualifier
    Language client: fixed didChange notification when test document sync is full
    Fixed crash on MacOS due to buggy boost::filesystem::canonical
    Symbols and emojis no longer considered word characters when spellchecking
Comment 1 Fernando Apesteguía freebsd_committer 2020-05-10 11:03:26 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

Thanks!

Also, why aren't upstream neither realses nor tags for this? Last one I can see is 1.4.4
Comment 2 daniel.engberg.lists 2020-05-10 12:32:31 UTC
It's been move to gitlib
https://gitlab.com/cppit/jucipp/-/releases
Comment 3 Mohammad S. Babaei 2020-05-10 13:42:40 UTC
(In reply to Fernando Apesteguía from comment #1)

Sorry, I forgot to set the maintainer approval flag.

Also, as daniel mentioned it has moved to GitLab since the acquisition of GitHub by Microsoft.
Comment 4 Steve Wills freebsd_committer 2020-05-11 01:26:10 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/144522068
Comment 5 commit-hook freebsd_committer 2020-05-13 09:15:33 UTC
A commit references this bug:

Author: fernape
Date: Wed May 13 09:15:03 UTC 2020
New revision: 535099
URL: https://svnweb.freebsd.org/changeset/ports/535099

Log:
  editors/jucipp: Update to 1.6.0

  From ChangeLog: https://gitlab.com/cppit/jucipp/-/releases/v1.6.0

  New features:

   * Added Go To Method for file types supported by (Universal) ctags
   * Added Find Pattern that uses grep to find given patterns
   * Added markdown parsing for tooltips

  Cleanups, bugfixes and other improvements:

   * Replaced some deprecated gtkmm functions
   * Corrected bold markings for ctags results
   * Made improvements to finding C/C++ system header paths
   * Removed deprecated --harmony flag when running standalone JavaScript files
   * Prettier is now used to style format markdown and YAML files
   * Various fixes for FreeBSD
   * Structured bindings in C++ are now supported
   * Improved C/C++ tooltips, for instance showing correct const qualifier
   * Language client: fixed didChange notification when test document sync is full
   * Fixed crash on MacOS due to buggy boost::filesystem::canonical
   * Symbols and emojis no longer considered word characters when spellchecking

  PR:	246347
  Submitted by:	info@babaei.net (maintainer)

Changes:
  head/editors/jucipp/Makefile
Comment 6 Fernando Apesteguía freebsd_committer 2020-05-13 09:16:01 UTC
Committed,

Thanks!
Comment 7 Tobias Kortkamp freebsd_committer 2020-05-20 20:47:23 UTC
An update usually comes with changes to distinfo but there have
been no changes to it.  editors/jucipp now builds the same version
as before while announcing itself to be 1.6.0.  Please actually
update the port by bumping GL_COMMIT etc.
Comment 8 Mohammad S. Babaei 2020-05-21 04:16:56 UTC
Created attachment 214707 [details]
patch fixing distfiles - jucipp-1.6.0_1-to-1.6.0_2

Thanks Tobias! You are 100% right. I had to modify GL_COMMIT and GL_TUPLE. I also bumped the revision.
Comment 9 commit-hook freebsd_committer 2020-05-21 06:20:07 UTC
A commit references this bug:

Author: fernape
Date: Thu May 21 06:19:50 UTC 2020
New revision: 536073
URL: https://svnweb.freebsd.org/changeset/ports/536073

Log:
  editors/jucipp: properly update to 1.6.0

  Update GL_COMMIT and GL_TUPLE missing from r535099

  PR:	246347
  Reported by:	tobik@

Changes:
  head/editors/jucipp/Makefile
  head/editors/jucipp/distinfo
Comment 10 Fernando Apesteguía freebsd_committer 2020-05-21 06:21:10 UTC
Thanks Tobias for the heads up!